#container {
    width: 27px;
}
.show-menu > #menu-icon-top {
    animation: rotate-clockwise .5s infinite;
    animation-direction: alternate;
}
.show-menu > #menu-icon-middle {
    animation: hidden .5s infinite;
    animation-direction: alternate;
}
.show-menu > #menu-icon-bottom {
    animation: rotate-counter-clockwise .5s infinite;
    animation-direction: alternate;
}
.menu-icon-bar {
    transform-origin: left center;
    background: black;
    width: 22px;
    height: 3px;
    margin: 5px 2px;
}

@keyframes rotate-clockwise {
    from {
        transform: rotate(0deg);
        margin-left: 2px;
    }
    to {
        transform: rotate(45deg);
        margin-left: 5px;
    }
}
@keyframes hidden {
    from { opacity: 1; }
    to { opacity: 0; }
}
@keyframes rotate-counter-clockwise {
    from {
        transform: rotate(0deg);
        margin-left: 2px;
    }
    to {
        transform: rotate(-45deg);
        margin-left: 5px;
    }
}